clang-tools 10.0.0

Public Attributes | List of all members
clang::move::MoveDefinitionSpec Struct Reference

`#include <Move.h>`

Collaboration diagram for clang::move::MoveDefinitionSpec:
[legend]

## Public Attributes
SmallVector< std::string, 4 > | Names
std::string | OldHeader
std::string | OldCC
std::string | NewHeader
std::string | NewCC
bool | OldDependOnNew = false
bool | NewDependOnOld = false

## Detailed Description

Definition at line 62 of file Move.h.

## Member Data Documentation

## ◆ Names

SmallVector<std::string, 4> clang::move::MoveDefinitionSpec::Names

Definition at line 64 of file Move.h.

Referenced by main().

## ◆ NewCC

std::string clang::move::MoveDefinitionSpec::NewCC

Definition at line 72 of file Move.h.

Referenced by main(), and clang::move::ClangMoveTool::onEndOfTranslationUnit().

## ◆ NewDependOnOld

bool clang::move::MoveDefinitionSpec::NewDependOnOld = false

Definition at line 78 of file Move.h.

Referenced by main().

## ◆ NewHeader

std::string clang::move::MoveDefinitionSpec::NewHeader

Definition at line 70 of file Move.h.

Referenced by main(), and clang::move::ClangMoveTool::onEndOfTranslationUnit().

## ◆ OldCC

std::string clang::move::MoveDefinitionSpec::OldCC

Definition at line 68 of file Move.h.

Referenced by main(), and clang::move::ClangMoveTool::onEndOfTranslationUnit().

## ◆ OldDependOnNew

bool clang::move::MoveDefinitionSpec::OldDependOnNew = false

Definition at line 75 of file Move.h.

Referenced by main().

## ◆ OldHeader

std::string clang::move::MoveDefinitionSpec::OldHeader

Definition at line 66 of file Move.h.

Referenced by main(), and clang::move::ClangMoveTool::onEndOfTranslationUnit().

The documentation for this struct was generated from the following file:

- Move.h